| helics 3.6.1

Public Member Functions | Static Public Member Functions | List of all members
helics::apps::BrokerServer Class Reference

`#include <BrokerServer.hpp>`

## Public Member Functions
| BrokerServer () noexcept
| BrokerServer (int argc, char *argv[])
| BrokerServer (std::vector< std::string > args)
| BrokerServer (std::string_view configFile)
| ~BrokerServer ()
void | startServers ()
void | forceTerminate ()
void | closeServers ()

## Static Public Member Functions
static bool | hasActiveBrokers ()

## Detailed Description

helper class defining some common functionality for brokers and cores that use different communication methods

## Constructor & Destructor Documentation

## ◆ BrokerServer() [1/4]

helics::apps::BrokerServer::BrokerServer | ( |  | ) |
| noexcept

default constructor

## ◆ BrokerServer() [2/4]

helics::apps::BrokerServer::BrokerServer | ( | int | argc,
|  | char * | argv[]
| ) |  |

construct from command line arguments

Parameters

  argc | the number of arguments
  argv | the strings in the input

## ◆ BrokerServer() [3/4]

helics::apps::BrokerServer::BrokerServer | ( | std::vector< std::string > | args | ) |
| explicit

construct from command line arguments contained in a vector

Parameters

  args | the number of arguments

## ◆ BrokerServer() [4/4]

helics::apps::BrokerServer::BrokerServer | ( | std::string_view | configFile | ) |
| explicit

construct from command line arguments parsed as a single string

Parameters

  configFile | a configuration file for the broker Server

## ◆ ~BrokerServer()

helics::apps::BrokerServer::~BrokerServer | ( |  | ) |

destructor

References closeServers().

## Member Function Documentation

## ◆ closeServers()

void helics::apps::BrokerServer::closeServers | ( |  | ) |

close the broker server from creating new brokers

Referenced by forceTerminate(), and ~BrokerServer().

## ◆ forceTerminate()

void helics::apps::BrokerServer::forceTerminate | ( |  | ) |

force terminate all running brokers

References closeServers(), and helics::BrokerFactory::getAllBrokers().

## ◆ hasActiveBrokers()

bool helics::apps::BrokerServer::hasActiveBrokers | ( |  | ) |
| static

check if there are any active Brokers running

References helics::BrokerFactory::brokersActive().

## ◆ startServers()

void helics::apps::BrokerServer::startServers | ( |  | ) |

start the broker servers

The documentation for this class was generated from the following files:

- BrokerServer.hpp
- BrokerServer.cpp